<template>
  <div class="contacts">
    <div class="container">
      <div class="text-3xl mt-14 mb-5 opacity-80">Наши контакты</div>
      <div class="flex flex-col w-64">
        <div class="flex justify-between mb-2">
          <p class="mr-4 opacity-70">Телефон:</p>
          <a class="opacity-60" href="tel:+79886126261">8 988 612 62 61</a>
        </div>
        <div class="flex justify-between mb-6">
          <p class="mr-4 opacity-70">Почта:</p>
          <a class="opacity-60">info@foto09.ru</a>
        </div>
      </div>
      <div class="flex justify-between w-full sm:w-1/2">
        <p class="mr-4 opacity-70">Адрес:</p>
        <a class="opacity-60">КЧР, г Черкесск, ул Кавказская 19А<br/>Национальный сервис цифровой фотопечати №1 в России по количеству пользователей</a>
      </div>
      <div class="button w-1/3 my-6" @click="isMaps = !isMaps">{{!isMaps && 'Показать на карте' || 'Закрыть карту'}}</div>
      <div class="maps mb-10" v-if="isMaps">
        <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d714.6870287559819!2d42.049028487228334!3d44.23284400408683!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x40580066a3d1b559%3A0x88e1c281c5657b7c!2z0JrQsNCy0LrQsNC30YHQutCw0Y8g0YPQuy4sIDE50LAsINCn0LXRgNC60LXRgdGB0LosINCa0LDRgNCw0YfQsNC10LLQvi3Qp9C10YDQutC10YHRgdC60LDRjyDQoNC10YHQv9GD0LHQu9C40LrQsCwgMzY5MDA0!5e0!3m2!1sru!2sru!4v1660901724176!5m2!1sru!2sru" width="600" height="450" style="border:0;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
      </div>
    </div>
  </div>
</template>

<script>
import {ref} from 'vue'
export default {
  name: "Contacts",
  setup() {
    const isMaps = ref(false)
    return {
      isMaps
    }
  }
}
</script>

<style scoped>

</style>
